import os
import sys

CONFIG = {'oss': {
    # 'endpoint': '172.10.3.36:9000',
    'endpoint': '10.18.5.29:9000',
    'access_key': 'miniominio',
    'secret_key': 'miniominio'
}}
# SERVER_POINT = 'http://120.195.49.22:7215'
SERVER_POINT = 'http://172.10.3.71:10001'


def get_config(config_name):
    return CONFIG.get(config_name)


def is_frozen():
    return getattr(sys, 'frozen', False)


file_type_map = {
    'docx': ['kwps.Application', 'Documents'],
    'doc': ['kwps.Application', 'Documents'],
    'txt': ['kwps.Application', 'Documents'],
    'ppt': ['kwpp.Application', 'Presentations'],
    'pptx': ['kwpp.Application', 'Presentations'],
    'csv': ['ket.Application', 'Workbooks'],
    'xlsx': ['ket.Application', 'Workbooks'],
    'xls': ['ket.Application', 'Workbooks'],
}

headers = {
    'user-agent': 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/133.0.0.0 Safari/537.36',
    'content-type': 'text/plain;charset=UTF-8'
}
dl_code = os.path.realpath(sys.argv[0])[:1]
base_path = os.path.dirname(os.path.dirname(sys.executable if getattr(sys, 'frozen', False) else __file__))
