from loguru import logger

from datetime import datetime

log_month = datetime.now().strftime("%Y-%m")
logger.remove()

logger.add(f"serve_log/log_{datetime.now().strftime('%Y-%m-%d')}.log", format="{time} {level} {message}",
           rotation="100 MB", retention="1 week", compression=None)
